InstrumentationManager (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.management

## Interface InstrumentationManager

-     public interface InstrumentationManager

  InstrumentationManager interface for the instrumentations query, register and unregister

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MBeanServer` | `getMBeanServer()` | Get the MBeanServer which hosts managed components NOTE: if the configuration is not set the JMXEnabled to be true, this method will return null
    `String` | `getPersistentBusId()` |
    `void` | `register​(Object obj, ObjectName name)` | Registers object with management infrastructure with a specific name.
    `void` | `register​(Object obj, ObjectName name, boolean forceRegistration)` | Registers object with management infrastructure with a specific name.
    `ObjectName` | `register​(ManagedComponent component)` | Register a component with management infrastructure.
    `ObjectName` | `register​(ManagedComponent component, boolean forceRegistration)` | Register a component with management infrastructure.
    `void` | `setPersistentBusId​(String id)` |
    `void` | `shutdown()` | Cleans up and shutsdown management infrastructure.
    `void` | `unregister​(ObjectName name)` | Unregisters component based upon registered name
    `void` | `unregister​(ManagedComponent component)` | Unregisters component with management infrastructure

- - ### Method Detail

    - #### register

          ObjectName register​(ManagedComponent component)
                       throws JMException

      Register a component with management infrastructure. Component will supply registration name.
      Parameters:
        `component` -
      Returns:
        name used to register the component
      Throws:
        `JMException`

    - #### register

          ObjectName register​(ManagedComponent component,
                              boolean forceRegistration)
                       throws JMException

      Register a component with management infrastructure. Component will supply registration name.
      Parameters:
        `component` -
        `forceRegistration` - if set to true, then component will be registered despite existing component.
      Returns:
        name used to register the component
      Throws:
        `JMException`

    - #### register

          void register​(Object obj,
                        ObjectName name)
                 throws JMException

      Registers object with management infrastructure with a specific name. Object must be annotated or implement standard MBean interface.
      Parameters:
        `obj` -
        `name` -
      Throws:
        `JMException`

    - #### register

          void register​(Object obj,
                        ObjectName name,
                        boolean forceRegistration)
                 throws JMException

      Registers object with management infrastructure with a specific name. Object must be annotated or implement standard MBean interface.
      Parameters:
        `obj` -
        `name` -
        `forceRegistration` - if set to true, then component will be registered despite existing component.
      Throws:
        `JMException`

    - #### unregister

          void unregister​(ManagedComponent component)
                   throws JMException

      Unregisters component with management infrastructure
      Parameters:
        `component` -
      Throws:
        `JMException`

    - #### unregister

          void unregister​(ObjectName name)
                   throws JMException

      Unregisters component based upon registered name
      Parameters:
        `name` -
      Throws:
        `JMException`

    - #### shutdown

          void shutdown()

      Cleans up and shutsdown management infrastructure.

    - #### getMBeanServer

          MBeanServer getMBeanServer()

      Get the MBeanServer which hosts managed components NOTE: if the configuration is not set the JMXEnabled to be true, this method will return null
      Returns:
        the MBeanServer

    - #### getPersistentBusId

          String getPersistentBusId()

    - #### setPersistentBusId

          void setPersistentBusId​(String id)